Skip to content
Start here

Discovery

Retrieve discovered operations on a zone rendered as OpenAPI schemas
client.APIGateway.Discovery.Get(ctx, query) (*DiscoveryGetResponse, error)
GET/zones/{zone_id}/api_gateway/discovery
ModelsExpand Collapse
type DiscoveryOperation struct{…}
ID string

UUID.

maxLength36
minLength36
Endpoint string

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.

formaturi-template
maxLength4096
Host string

RFC3986-compliant host.

formathostname
maxLength255
LastUpdated Time
formatdate-time
Method DiscoveryOperationMethod

The HTTP method used to access the endpoint.

One of the following:
const DiscoveryOperationMethodGet DiscoveryOperationMethod = "GET"
const DiscoveryOperationMethodPost DiscoveryOperationMethod = "POST"
const DiscoveryOperationMethodHead DiscoveryOperationMethod = "HEAD"
const DiscoveryOperationMethodOptions DiscoveryOperationMethod = "OPTIONS"
const DiscoveryOperationMethodPut DiscoveryOperationMethod = "PUT"
const DiscoveryOperationMethodDelete DiscoveryOperationMethod = "DELETE"
const DiscoveryOperationMethodConnect DiscoveryOperationMethod = "CONNECT"
const DiscoveryOperationMethodPatch DiscoveryOperationMethod = "PATCH"
const DiscoveryOperationMethodTrace DiscoveryOperationMethod = "TRACE"
Origin []DiscoveryOperationOrigin

API discovery engine(s) that discovered this operation

One of the following:
const DiscoveryOperationOriginMl DiscoveryOperationOrigin = "ML"
const DiscoveryOperationOriginSessionIdentifier DiscoveryOperationOrigin = "SessionIdentifier"
const DiscoveryOperationOriginLabelDiscovery DiscoveryOperationOrigin = "LabelDiscovery"
State DiscoveryOperationState

State of operation in API Discovery

  • review - Operation is not saved into API Shield Endpoint Management
  • saved - Operation is saved into API Shield Endpoint Management
  • ignored - Operation is marked as ignored
One of the following:
const DiscoveryOperationStateReview DiscoveryOperationState = "review"
const DiscoveryOperationStateSaved DiscoveryOperationState = "saved"
const DiscoveryOperationStateIgnored DiscoveryOperationState = "ignored"
Features DiscoveryOperationFeaturesoptional
TrafficStats DiscoveryOperationFeaturesTrafficStatsoptional
LastUpdated Time
formatdate-time
PeriodSeconds int64

The period in seconds these statistics were computed over

Requests float64

The average number of requests seen during this period

formatfloat

DiscoveryOperations

Retrieve discovered operations on a zone
client.APIGateway.Discovery.Operations.List(ctx, params) (*V4PagePaginationArray[DiscoveryOperation], error)
GET/zones/{zone_id}/api_gateway/discovery/operations
Patch discovered operation
client.APIGateway.Discovery.Operations.Edit(ctx, operationID, params) (*DiscoveryOperationEditResponse, error)
PATCH/zones/{zone_id}/api_gateway/discovery/operations/{operation_id}
Patch discovered operations
client.APIGateway.Discovery.Operations.BulkEdit(ctx, params) (*DiscoveryOperationBulkEditResponse, error)
PATCH/zones/{zone_id}/api_gateway/discovery/operations